#!/bin/sh
#
# Copyright  (C) 1985-2010 Intel Corporation. All rights reserved.
#
# The information and source code contained herein is the exclusive property
# of Intel Corporation and may not be disclosed, examined, or reproduced in
# whole or in part without explicit written authorization from the Company.
#

PROD_DIR=<PRODDIR>

if [ "$1" != "ia32" -a "$1" != "intel64" -a "$1" != "mic" ]; then
  echo "ERROR: Unknown switch '$1'. Accepted values: ia32, intel64, mic"
  return 1;
fi


if [ -e $PROD_DIR/pkg_bin/idbvars.sh ]; then
   . $PROD_DIR/pkg_bin/idbvars.sh $1 
fi
if [ -e $PROD_DIR/tbb/bin/tbbvars.sh ]; then
   . $PROD_DIR/tbb/bin/tbbvars.sh $1 
fi
if [ -e $PROD_DIR/mkl/bin/mklvars.sh ]; then
   . $PROD_DIR/mkl/bin/mklvars.sh $1 $2 
fi
if [ -e $PROD_DIR/ipp/bin/ippvars.sh ]; then
   . $PROD_DIR/ipp/bin/ippvars.sh $1 
fi
if [ -e $PROD_DIR/pkg_bin/compilervars_arch.sh ]; then
   . $PROD_DIR/pkg_bin/compilervars_arch.sh $1 
fi
