#
# Copyright  (C) 1985-2010 Intel Corporation. All rights reserved.
#
# The information and source code contained herein is the exclusive property
# of Intel Corporation and may not be disclosed, examined, or reproduced in
# whole or in part without explicit written authorization from the Company.
#

#!/bin/csh

set PROD_DIR=<PRODDIR>

if ( "$1" != "ia32" && "$1" != "intel64" && "$1" != "mic" ) then
  echo "ERROR: Unknown switch '$1'. Accepted values: ia32, intel64, mic"
  exit 1
endif



if ( -e $PROD_DIR/pkg_bin/idbvars.csh ) then
   source $PROD_DIR/pkg_bin/idbvars.csh $1;
endif 
if ( -e $PROD_DIR/tbb/bin/tbbvars.csh ) then
   source $PROD_DIR/tbb/bin/tbbvars.csh $1;
endif 
if ( -e $PROD_DIR/mkl/bin/mklvars.csh ) then
   source $PROD_DIR/mkl/bin/mklvars.csh $1 $2;
endif 
if ( -e $PROD_DIR/ipp/bin/ippvars.csh ) then
   source $PROD_DIR/ipp/bin/ippvars.csh $1;
endif 
if ( -e $PROD_DIR/pkg_bin/compilervars_arch.csh ) then
   source $PROD_DIR/pkg_bin/compilervars_arch.csh $1;
endif 

